<?php

  $debugin        = $decoded['debug'];
  $usr_id         = $decoded['usr_id'];
  $tienda_id      = $decoded['tienda_id'];
  $datetoday      = date('Y-m-d');

  if( $usr_id ){

    //User
    $Query = "
      SELECT
        usr.id, usr.fk_usuario_tipo
      FROM usuarios_app usr
      WHERE
        usr.Id = '$usr_id'
        AND usr.activo = '1'
    ";
    $Result = mysqli_query($mysqli, $Query);
	  $Usr = mysqli_fetch_assoc($Result);
    if( $Usr[id] ){

      $Where = "
        WHERE
        enc.id != '0'
        AND enc.activo = '1'
        AND enc.fk_usuario_tipo = '$Usr[fk_usuario_tipo]'
        AND enc.fechainicio <= '$datetoday' AND enc.fechalimite >= '$datetoday'
      ";

      //Validación de Encuestas
      $Query = "
        SELECT
          enc.id, enc.nombre,
          enc.fechainicio, enc.fechalimite,
          enc.unica_respuesta, enc.checkin
        FROM encuestas enc
        $Where
      ";
      $Encuestas = $mysqli->query($Query);
      mysqli_data_seek($Encuestas, 0);
      if( $Encuestas->num_rows >= 1 ){
        while($Enc = mysqli_fetch_array($Encuestas)) {

          $NoShow = 1;

          //Verifica si la Encuesta es Unica y ya fue contestada
          if( $Enc[unica_respuesta] == '1' ){

            //Respuesta de encuesta
            $Query = "
              SELECT
                res.id
              FROM encuestas_respuestas res
              WHERE
                res.fk_usuario = '$Usr[id]'
                AND res.fk_encuesta = '$Enc[id]'
            ";
            $Result = mysqli_query($mysqli, $Query);
        	  $EncVal = mysqli_fetch_assoc($Result);
            if( $EncVal[id] ){
              $NoShow = 0;
            }else{
              $NoShow = 1;
            }

          }
          //End Verifica si la Encuesta es Unica y ya fue contestada

          //Verifica si hay checkin en una tienda
          if( $Enc[checkin] == '1' ){

            //Valida Checkin
            $Query = "
              SELECT
                vi.id, vi.fk_tienda
              FROM visitas_fuerzaventas vi
              WHERE
                vi.id               != '0'
                AND vi.fk_usuario   = '$Usr[id]'
                AND vi.in_          = '1'
              GROUP BY vi.Id
            ";
            $Result = mysqli_query($mysqli, $Query);
            $Visita = mysqli_fetch_assoc($Result);
            if( $Visita[id] ){
              $NoShow = 1;
            }else{
              $NoShow = 0;
            }

          }
          //End Verifica si hay checkin en una tienda

          // echo "No Show: ".$NoShow;

          if( $NoShow == 1 ){

            //Verifica si la encuesta ya fue contestada por el Usuario Tendero y Consumidor
            // if( $Usr[fk_usuario_tipo] == '3' || $Usr[fk_usuario_tipo] == '2' ){
            //   //Respuesta de encuesta
            //   $Query = "
            //     SELECT
            //       res.id
            //     FROM encuestas_respuestas res
            //     WHERE
            //       res.fk_usuario = '$Usr[id]'
            //       AND res.fk_encuesta = '$Enc[id]'
            //   ";
            //   $Result = mysqli_query($mysqli, $Query);
          	//   $EncVal = mysqli_fetch_assoc($Result);
            //   if( $EncVal[id] ){
            //   }else{

            //Preguntas de Encuesta
            //Preguntas
            $qrPreguntas = "
              SELECT
                pre.id,
                pre.pregunta, pre.fk_encuesta_pregunta_tipo
              FROM encuestas_preguntas pre
              WHERE pre.fk_encuesta = '$Enc[id]'
                ORDER BY pre.orden ASC
            ";
            $pregs = mysqli_query($mysqli, $qrPreguntas);
            mysqli_data_seek($pregs, 0);
            while($preg = mysqli_fetch_array($pregs)) {

              if( $preg[fk_encuesta_pregunta_tipo] == 2 || $preg[fk_encuesta_pregunta_tipo] == 3 ){

                //Opciones
                $Opss = "";
                $qrOpciones = "
                  SELECT
                    opc.id,
                    opc.opcion
                  FROM encuestas_preguntas_opciones opc
                  WHERE opc.fk_pregunta = '$preg[id]'
                    ORDER BY opc.orden ASC
                ";
                $Opciones = mysqli_query($mysqli, $qrOpciones);
                mysqli_data_seek($Opciones, 0);
                while($Opcion = mysqli_fetch_array($Opciones)) {
                  $Opcs[$preg[id]][] = $Opcion[opcion];
                }
                //End Opciones

                $Preguntas[] = array(
                  'pregunta_id'   => $preg[id],
                  'pregunta_tipo' => $preg[fk_encuesta_pregunta_tipo],
                  'pregunta'      => $preg[pregunta],
                  'opciones'      => $Opcs[$preg[id]]
                );

              }else{

                $Preguntas[] = array(
                  'pregunta_id'   => $preg[id],
                  'pregunta_tipo' => $preg[fk_encuesta_pregunta_tipo],
                  'pregunta'      => $preg[pregunta]
                );

              }

            }

                $Encs[] = array(
                  'encuesta_id'   => $Enc[id],
                  'nombre'        => $Enc[nombre],
                  'fecha_inicio'  => $Enc[fechainicio],
                  'fecha_final'   => $Enc[fechalimite],
                  'preguntas'     => $Preguntas
                );

              // }
            // }else{
            //
            //   //Usuario Fuerza de Ventas
            //   $Encs[] = array(
            //     'encuesta_id'   => $Enc[id],
            //     'nombre'        => $Enc[nombre],
            //     'fecha_inicio'  => $Enc[fechainicio],
            //     'fecha_final'   => $Enc[fechalimite]
            //   );
            //
            // }
            //End Verifica si la encuesta ya fue contestada por el Usuario Tendero y Consumidor

          }

        }

        if( $Encs == NULL ){

          //Error
          $Query = "
            SELECT
              err.Id, err.error, err.msn
            FROM api_errores err
            WHERE err.error = 'en-1'
          ";
          $Result = mysqli_query($mysqli, $Query);
          $Error = mysqli_fetch_assoc($Result);

          $Data = array(
            'action'      => 'error',
            'error'       => $Error[error],
            'error_msn'   => $Error[msn].' '.$Exta
          );
          echo json_encode($Data, JSON_UNESCAPED_UNICODE | JSON_PRETTY_PRINT);

        }else{

          $Data = array(
            'encuestas'   => $Encs
          );
          echo json_encode($Data, JSON_UNESCAPED_UNICODE | JSON_PRETTY_PRINT);

        }


      }else{

        //Error
        $Query = "
          SELECT
            err.Id, err.error, err.msn
          FROM api_errores err
          WHERE err.error = 'en-1'
        ";
        $Result = mysqli_query($mysqli, $Query);
        $Error = mysqli_fetch_assoc($Result);

        $Data = array(
          'action'      => 'error',
          'error'       => $Error[error],
          'error_msn'   => $Error[msn].' '.$Exta
        );
        echo json_encode($Data, JSON_UNESCAPED_UNICODE | JSON_PRETTY_PRINT);

      }

    }

  }

?>
